## org.eclipse.uml2.common.util
Class CacheAdapter

    java.lang.Object
      org.eclipse.emf.ecore.util.ECrossReferenceAdapter
          org.eclipse.uml2.common.util.CacheAdapter

All Implemented Interfaces:
  org.eclipse.emf.common.notify.Adapter, org.eclipse.emf.common.notify.Adapter.Internal

    public class CacheAdapter

extends org.eclipse.emf.ecore.util.ECrossReferenceAdapter

Nested Class Summary
`protected class` `CacheAdapter.InverseCrossReferencer`

Nested classes/interfaces inherited from interface org.eclipse.emf.common.notify.Adapter
`org.eclipse.emf.common.notify.Adapter.Internal`

Field Summary
`protected boolean` `adapting`
`static CacheAdapter` `INSTANCE`

Fields inherited from class org.eclipse.emf.ecore.util.ECrossReferenceAdapter
`inverseCrossReferencer, unloadedEObjects, unloadedResources`

Constructor Summary
`CacheAdapter()`

Method Summary
`boolean` `adapt(org.eclipse.emf.common.notify.Notifier notifier)`
`protected boolean` `addAdapter(org.eclipse.emf.common.util.EList<org.eclipse.emf.common.notify.Adapter> adapters)`
`protected void` `addAdapter(org.eclipse.emf.ecore.EObject eObject)`
`protected void` `addAdapter(org.eclipse.emf.common.notify.Notifier notifier)`
`void` `clear()`
`void` `clear(org.eclipse.emf.ecore.resource.Resource resource)`
`boolean` `containsKey(org.eclipse.emf.ecore.EObject eObject, java.lang.Object key)`
`boolean` `containsKey(org.eclipse.emf.ecore.resource.Resource resource, org.eclipse.emf.ecore.EObject eObject, java.lang.Object key)`

`protected

`<K,V> java.util.Map<K,V>`

`

`createHashMap()`

`protected org.eclipse.emf.ecore.util.ECrossReferenceAdapter.InverseCrossReferencer` `createInverseCrossReferencer()`
`java.lang.Object` `get(org.eclipse.emf.ecore.EObject eObject, java.lang.Object key)`
`java.lang.Object` `get(org.eclipse.emf.ecore.resource.Resource resource, org.eclipse.emf.ecore.EObject eObject, java.lang.Object key)`
`static CacheAdapter` `getCacheAdapter(org.eclipse.emf.common.notify.Notifier notifier)`
`java.util.Collection<org.eclipse.emf.ecore.EStructuralFeature.Setting>` `getInverseReferences(org.eclipse.emf.ecore.EObject eObject)`
`java.util.Collection<org.eclipse.emf.ecore.EStructuralFeature.Setting>` `getNonNavigableInverseReferences(org.eclipse.emf.ecore.EObject eObject)`
`java.util.Map<org.eclipse.emf.common.util.URI,java.util.List<org.eclipse.emf.ecore.EObject>>` `getProxyMap()`
`void` `handleCrossReference(org.eclipse.emf.ecore.EObject eObject)`
`protected boolean` `isIncluded(org.eclipse.emf.ecore.EReference eReference)`
`void` `notifyChanged(org.eclipse.emf.common.notify.Notification msg)`
`java.lang.Object` `put(org.eclipse.emf.ecore.EObject eObject, java.lang.Object key, java.lang.Object value)`
`java.lang.Object` `put(org.eclipse.emf.ecore.resource.Resource resource, org.eclipse.emf.ecore.EObject eObject, java.lang.Object key, java.lang.Object value)`
`protected boolean` `resolve()`
`protected void` `resolveProxy(org.eclipse.emf.ecore.resource.Resource resource, org.eclipse.emf.ecore.EObject eObject, org.eclipse.emf.ecore.EObject proxy, org.eclipse.emf.ecore.EStructuralFeature.Setting setting)`
`protected void` `selfAdapt(org.eclipse.emf.common.notify.Notification notification)`
`void` `setTarget(org.eclipse.emf.common.notify.Notifier target)`
`protected void` `unsetTarget(org.eclipse.emf.ecore.EObject target)`
`protected void` `unsetTarget(org.eclipse.emf.ecore.resource.Resource target)`

Methods inherited from class org.eclipse.emf.ecore.util.ECrossReferenceAdapter
`dump, getCrossReferenceAdapter, getInverseReferences, getNonNavigableInverseReferences, getTarget, handleContainment, handleCrossReference, isAdapterForType, removeAdapter, resolveAll, setTarget, setTarget, setTarget, unsetTarget, unsetTarget`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### INSTANCE

    public static final CacheAdapter INSTANCE

### adapting

    protected boolean adapting

Constructor Detail

### CacheAdapter

    public CacheAdapter()

Method Detail

### getCacheAdapter

    public static CacheAdapter getCacheAdapter(org.eclipse.emf.common.notify.Notifier notifier)

### createHashMap

    protected <K,V> java.util.Map<K,V> createHashMap()

### createInverseCrossReferencer

    protected org.eclipse.emf.ecore.util.ECrossReferenceAdapter.InverseCrossReferencer createInverseCrossReferencer()

  Overrides:
    `createInverseCrossReferencer` in class `org.eclipse.emf.ecore.util.ECrossReferenceAdapter`

### addAdapter

    protected boolean addAdapter(org.eclipse.emf.common.util.EList<org.eclipse.emf.common.notify.Adapter> adapters)

### adapt

    public boolean adapt(org.eclipse.emf.common.notify.Notifier notifier)

### addAdapter

    protected void addAdapter(org.eclipse.emf.common.notify.Notifier notifier)

  Overrides:
    `addAdapter` in class `org.eclipse.emf.ecore.util.ECrossReferenceAdapter`

### addAdapter

    protected void addAdapter(org.eclipse.emf.ecore.EObject eObject)

### getNonNavigableInverseReferences

    public java.util.Collection<org.eclipse.emf.ecore.EStructuralFeature.Setting> getNonNavigableInverseReferences(org.eclipse.emf.ecore.EObject eObject)

  Overrides:
    `getNonNavigableInverseReferences` in class `org.eclipse.emf.ecore.util.ECrossReferenceAdapter`

### getInverseReferences

    public java.util.Collection<org.eclipse.emf.ecore.EStructuralFeature.Setting> getInverseReferences(org.eclipse.emf.ecore.EObject eObject)

  Overrides:
    `getInverseReferences` in class `org.eclipse.emf.ecore.util.ECrossReferenceAdapter`

### handleCrossReference

    public void handleCrossReference(org.eclipse.emf.ecore.EObject eObject)

### setTarget

    public void setTarget(org.eclipse.emf.common.notify.Notifier target)

  Specified by:
    `setTarget` in interface `org.eclipse.emf.common.notify.Adapter`
  Overrides:
    `setTarget` in class `org.eclipse.emf.ecore.util.ECrossReferenceAdapter`

### unsetTarget

    protected void unsetTarget(org.eclipse.emf.ecore.EObject target)

  Overrides:
    `unsetTarget` in class `org.eclipse.emf.ecore.util.ECrossReferenceAdapter`

### unsetTarget

    protected void unsetTarget(org.eclipse.emf.ecore.resource.Resource target)

  Overrides:
    `unsetTarget` in class `org.eclipse.emf.ecore.util.ECrossReferenceAdapter`

### notifyChanged

    public void notifyChanged(org.eclipse.emf.common.notify.Notification msg)

  Specified by:
    `notifyChanged` in interface `org.eclipse.emf.common.notify.Adapter`
  Overrides:
    `notifyChanged` in class `org.eclipse.emf.ecore.util.ECrossReferenceAdapter`

### clear

    public void clear()

### clear

    public void clear(org.eclipse.emf.ecore.resource.Resource resource)

### containsKey

    public boolean containsKey(org.eclipse.emf.ecore.EObject eObject,
                               java.lang.Object key)

### containsKey

    public boolean containsKey(org.eclipse.emf.ecore.resource.Resource resource,
                               org.eclipse.emf.ecore.EObject eObject,
                               java.lang.Object key)

### get

    public java.lang.Object get(org.eclipse.emf.ecore.EObject eObject,
                                java.lang.Object key)

### get

    public java.lang.Object get(org.eclipse.emf.ecore.resource.Resource resource,
                                org.eclipse.emf.ecore.EObject eObject,
                                java.lang.Object key)

### put

    public java.lang.Object put(org.eclipse.emf.ecore.EObject eObject,
                                java.lang.Object key,
                                java.lang.Object value)

### put

    public java.lang.Object put(org.eclipse.emf.ecore.resource.Resource resource,
                                org.eclipse.emf.ecore.EObject eObject,
                                java.lang.Object key,
                                java.lang.Object value)

### resolve

    protected boolean resolve()

  Overrides:
    `resolve` in class `org.eclipse.emf.ecore.util.ECrossReferenceAdapter`

### isIncluded

    protected boolean isIncluded(org.eclipse.emf.ecore.EReference eReference)

  Overrides:
    `isIncluded` in class `org.eclipse.emf.ecore.util.ECrossReferenceAdapter`

### getProxyMap

    public java.util.Map<org.eclipse.emf.common.util.URI,java.util.List<org.eclipse.emf.ecore.EObject>> getProxyMap()

### resolveProxy

    protected void resolveProxy(org.eclipse.emf.ecore.resource.Resource resource,
                                org.eclipse.emf.ecore.EObject eObject,
                                org.eclipse.emf.ecore.EObject proxy,
                                org.eclipse.emf.ecore.EStructuralFeature.Setting setting)

  Overrides:
    `resolveProxy` in class `org.eclipse.emf.ecore.util.ECrossReferenceAdapter`

### selfAdapt

    protected void selfAdapt(org.eclipse.emf.common.notify.Notification notification)

  Overrides:
    `selfAdapt` in class `org.eclipse.emf.ecore.util.ECrossReferenceAdapter`

Copyright 2003, 2007 IBM Corporation and others. All Rights Reserved.